Skip to Content
New release 12 available 🎉

Resources

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/resourcesGET /v1/resources

Code samples

# You can also use wget curl -X GET /v1/resources \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/resources

Gets a list of resources.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","resources":[{"id":0,"name":"string","type":"string","code":"string","description":"string","source":"string","password":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","data":"string","dataFormat":"string","meta":"string"}],"totalResourcesCount":0}
{ "success": true, "code": 0, "message": "string", "resources": [ { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" } ], "totalResourcesCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetResourcesResponse

Authentication: API key (x-api-key).

POST/v1/resourcesPOST /v1/resources

Code samples

# You can also use wget curl -X POST /v1/resources \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/resources

Inserts a new resource.

Body parameter

{ "resource": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.InsertResourceRequestfalseThe request containing the details of the resource to insert.

Example responses

200 Response

{"resourceId":0,"success":true,"code":0,"message":"string"}
{ "resourceId": 0, "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertResourceResponse

Authentication: API key (x-api-key).

PUT/v1/resourcesPUT /v1/resources

Code samples

# You can also use wget curl -X PUT /v1/resources \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/resources

Updates an existing resource.

Body parameter

{ "resource": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.UpdateResourceRequestfalseThe request containing the details of the resource to update.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateResourceResponse

Authentication: API key (x-api-key).

DELETE/v1/resources/{resourceId}DELETE /v1/resources/{resourceId}

Code samples

# You can also use wget curl -X DELETE /v1/resources/{resourceId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/resources/\{resourceId\}

Deletes a resource.

Parameters

NameInTypeRequiredDescription
resourceIdpathinteger(int32)trueThe resource ID.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteResourceResponse

Authentication: API key (x-api-key).

Last updated on